#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private PSSMomentum[] cachePSSMomentum;

		
		public PSSMomentum PSSMomentum(int lengthScope, int lengthSmooth)
		{
			return PSSMomentum(Input, lengthScope, lengthSmooth);
		}


		
		public PSSMomentum PSSMomentum(ISeries<double> input, int lengthScope, int lengthSmooth)
		{
			if (cachePSSMomentum != null)
				for (int idx = 0; idx < cachePSSMomentum.Length; idx++)
					if (cachePSSMomentum[idx].LengthScope == lengthScope && cachePSSMomentum[idx].LengthSmooth == lengthSmooth && cachePSSMomentum[idx].EqualsInput(input))
						return cachePSSMomentum[idx];
			return CacheIndicator<PSSMomentum>(new PSSMomentum(){ LengthScope = lengthScope, LengthSmooth = lengthSmooth }, input, ref cachePSSMomentum);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.PSSMomentum PSSMomentum(int lengthScope, int lengthSmooth)
		{
			return indicator.PSSMomentum(Input, lengthScope, lengthSmooth);
		}


		
		public Indicators.PSSMomentum PSSMomentum(ISeries<double> input , int lengthScope, int lengthSmooth)
		{
			return indicator.PSSMomentum(input, lengthScope, lengthSmooth);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.PSSMomentum PSSMomentum(int lengthScope, int lengthSmooth)
		{
			return indicator.PSSMomentum(Input, lengthScope, lengthSmooth);
		}


		
		public Indicators.PSSMomentum PSSMomentum(ISeries<double> input , int lengthScope, int lengthSmooth)
		{
			return indicator.PSSMomentum(input, lengthScope, lengthSmooth);
		}

	}
}

#endregion
